<template>
  <div
    v-bind="containerProps"
    class="list-container"
    :dir="rtlDesginHandler ? 'rtl' : 'ltr'"
  >
    <div v-bind="wrapperProps">
      <div v-for="item in list" :key="item.index" style="height: 65px">
        <ChatListItem
          :item="item.data"
          @getAddionalProfileInfo="emit('handelGettingUserData', item.data)"
          @click="emit('openChatRoom', item.data)"
        ></ChatListItem>
      </div>
    </div>
  </div>
</template>

<script setup>
import { useVirtualList } from '@vueuse/core';
import { computed, defineProps, defineEmits } from 'vue';
import ChatListItem from '@/components/desktop/message/chatListItem.vue';
import { useI18n } from 'vue-i18n';

const { locale } = useI18n();

const rtlDesginHandler = computed(() => {
  {
    if (locale.value == 'fa') {
      return true;
    } else {
      return false;
    }
  }
});

const props = defineProps({
  list: {
    type: Array,
    default: () => [],
  },
});
const getterList = computed(() => {
  return props.list;
});

const emit = defineEmits([
  'openContactProfileModal',
  'handelGettingUserData',
  'iosSearchInputEvent',
  'openChatRoom',
]);

const { list, containerProps, wrapperProps } = useVirtualList(getterList, {
  itemHeight: 65,
  overscan: 10,
});
</script>
<style scoped>
.firstchar-container {
  font-weight: bold;
  font-size: calc(30px - 1vmin);
}
.item-container {
  display: flex;
  width: 100%;
  align-items: flex-end;
}
.set-center {
  align-items: center;
  font-size: calc(30px - 2vmin);
}
.list-container {
  scrollbar-width: none;
  height: calc(80vh);
  overflow: hidden;
  padding: 0 10px;
}
.list-container::-webkit-scrollbar {
  width: 0.1rem; /* Chrome/Safari/Webkit */
  display: none; /* Hide scrollbar in IE, Edge, and Firefox */
}
</style>
